<?php
/*
 Plugin Name: busnHours
 Plugin URI: http://markhawkinsdesigns.com/plugins/wordpress/busnhours.html
 Description:  Add a dynamic business hours chart to your contact page or any page with open and closed sign notices that help encourage and promote business.
 Version: 0.1
 Author: Mark Hawkins
 Author URI: http://markhawkinsdesigns.com
 License: GPL2
 */
/*
 busnHours is free software: you can redistribute it and/or modify
it under the terms of the GNU General Public License as published by
the Free Software Foundation, either version 2 of the License, or
any later version.
 
busnHours is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
GNU General Public License for more details.
 
You should have received a copy of the GNU General Public License
along with busnHours. If not, see https://www.gnu.org/licenses/gpl-2.0.html
 
 */



/* Notes 
====================================================
IIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIIiI
====================================================
1) Data is stored in the wp_options table. This should really be in its own table so we can esily delete it without stepping around other data thats not ours.
2) Setup so it can delete the table when uninstalled.
3) Use your jQery Form Validator to do front end. Also see if you can preinstall database with settings initalized. Currently it is adding the data to the table after you save.
4) look into a simpler way to set server time.


*/
?>
<?php
global $post;
// ADD OUR SCRIPT & CSS FILES 
// -------------------------------------------------------->>
function add_busnhours_plugin_files() {
  wp_register_style( 'style_busnhours', plugin_dir_url( __FILE__ ) . 'css/busnhours.css', array(), '1.1', 'all' );
  wp_enqueue_style( 'style_busnhours' );
}
add_action( 'wp_enqueue_scripts', 'add_busnhours_plugin_files', 99 );
// Add our CSS styles for our Admin settings section
// -------------------------------------------------------->>

// Add jQuery if its not present, turn it on dude!
function getJqueryScript() {
  wp_enqueue_script( 'jquery' );
}
add_action( 'wp_enqueue_scripts', 'getJqueryScript' );

// add JS and CSS settings files
add_action( 'admin_init', 'busnhours_admin_init' );
add_action( 'admin_menu', 'busnhours_plugin_menu' );

function busnhours_admin_init() {
    /* Register our script. */
    wp_register_script( 'busnhours-settings-script', plugin_dir_url( __FILE__ ) . 'js/busnhours-settings.js', array('jquery'), '1.0', true );
	 /* register Styles */
	 wp_register_style( 'busnhours-settings-styles', plugin_dir_url( __FILE__ ) . 'css/busnhours-settings.css', array(), '1.1', 'all' );
}

// ADD BUSN HOURS SETTINGS - To adimn Page
// ===================================== //
function busnhours_plugin_menu() { 
// usea hook($bhpage) to have your scripts load on the settings page only to avoid confliict with ouher plugins.
  $bhpage = add_options_page( 'busnHours Plugin Options', 'busnHours', 'manage_options', 'busnhours_settings', 'busnhours_settings_page' );
    /* Using registered $page handle to hook script load */
    add_action('admin_print_scripts-' . $bhpage, 'busnhours_admin_scripts');
	add_action('admin_print_styles-' . $bhpage, 'busnhours_admin_styles');
}

function busnhours_admin_scripts() {
    wp_enqueue_script( 'busnhours-settings-script' );
}

function busnhours_admin_styles() {
	wp_enqueue_style( 'busnhours-settings-styles' );
}

// ADD SETTINGS FORM
// -------------------------------------------------------->>
function busnhours_settings_page() {
  //must check that the user has the required capability 
  if ( !current_user_can( 'manage_options' ) ) {
    wp_die( __( 'You do not have sufficient permissions to access this page.' ) );
  }

  // Hidden Field 
  $hidden_field_name = 'bh_submit_hidden';

  // FIELD NAMES
  $bh_data_field_server_time = 'time_zone';
  $bh_data_field_sun_open = 'sun_open_time';
  $bh_data_field_sun_close = 'sun_close_time';
  $bh_data_field_mon_open = 'mon_open_time';
  $bh_data_field_mon_close = 'mon_close_time';
  $bh_data_field_tue_open = 'tue_open_time';
  $bh_data_field_tue_close = 'tue_close_time';
  $bh_data_field_wed_open = 'wed_open_time';
  $bh_data_field_wed_close = 'wed_close_time';
  $bh_data_field_thu_open = 'thu_open_time';
  $bh_data_field_thu_close = 'thu_close_time';
  $bh_data_field_fri_open = 'fri_open_time';
  $bh_data_field_fri_close = 'fri_close_time';
  $bh_data_field_sat_open = 'sat_open_time';
  $bh_data_field_sat_close = 'sat_close_time';
  $bh_data_field_highlight = 'bh_highlight_color';
  $bh_data_field_showclock = 'bh_clock_func';	
  $bh_data_field_shuffle = 'bh_shuffle_func';

  // VALUES	
  // Read in existing option value from database
  $bh_server_time_val = get_option( $bh_data_field_server_time );
  $bh_sun_open_time_val = get_option(  $bh_data_field_sun_open );
  $bh_sun_close_time_val = get_option( $bh_data_field_sun_close );
  $bh_mon_open_time_val = get_option( $bh_data_field_mon_open );
  $bh_mon_close_time_val = get_option( $bh_data_field_mon_close ); // xxxxxx
  $bh_tue_open_time_val = get_option( $bh_data_field_tue_open  );
  $bh_tue_close_time_val = get_option( $bh_data_field_tue_close );
  $bh_wed_open_time_val = get_option( $bh_data_field_wed_open );
  $bh_wed_close_time_val = get_option( $bh_data_field_wed_close );
  $bh_thu_open_time_val = get_option( $bh_data_field_thu_open);
  $bh_thu_close_time_val = get_option( $bh_data_field_thu_close );
  $bh_fri_open_time_val = get_option( $bh_data_field_fri_open );
  $bh_fri_close_time_val = get_option( $bh_data_field_fri_close );
  $bh_sat_open_time_val = get_option(  $bh_data_field_sat_open );
  $bh_sat_close_time_val = get_option( $bh_data_field_sat_close );
  $bh_highlight_color_val = get_option( $bh_data_field_highlight );
  $bh_showclock_val = get_option(  $bh_data_field_showclock );
  $bh_shuffle_val = get_option( $bh_data_field_shuffle );
	  

  // See if the user has posted us some information
  // If they did, this hidden field will be set to 'Y'
  if ( isset( $_POST[ $hidden_field_name ] ) && $_POST[ $hidden_field_name ] == 'Y' ) {

    // Read their posted value
    $bh_server_time_val = sanitize_text_field($_POST[ $bh_data_field_server_time ]);
    $bh_sun_open_time_val = sanitize_text_field($_POST[ $bh_data_field_sun_open ]);
    $bh_sun_close_time_val = sanitize_text_field($_POST[ $bh_data_field_sun_close ]);
    $bh_mon_open_time_val = sanitize_text_field($_POST[ $bh_data_field_mon_open ]);
    $bh_mon_close_time_val = sanitize_text_field($_POST[ $bh_data_field_mon_close ]);
    $bh_tue_open_time_val = sanitize_text_field($_POST[ $bh_data_field_tue_open ]);
    $bh_tue_close_time_val = sanitize_text_field($_POST[ $bh_data_field_tue_close ]);
    $bh_wed_open_time_val = sanitize_text_field($_POST[ $bh_data_field_wed_open ]);
    $bh_wed_close_time_val = sanitize_text_field($_POST[ $bh_data_field_wed_close ]);
    $bh_thu_open_time_val = sanitize_text_field($_POST[ $bh_data_field_thu_open ]);
    $bh_thu_close_time_val = sanitize_text_field($_POST[ $bh_data_field_thu_close ]);
    $bh_fri_open_time_val = sanitize_text_field($_POST[ $bh_data_field_fri_open ]);
    $bh_fri_close_time_val = sanitize_text_field($_POST[ $bh_data_field_fri_close ]);
    $bh_sat_open_time_val = sanitize_text_field($_POST[ $bh_data_field_sat_open ]);
    $bh_sat_close_time_val = sanitize_text_field($_POST[ $bh_data_field_sat_close ]);
    $bh_highlight_color_val = sanitize_hex_color($_POST[ $bh_data_field_highlight ]);
	$bh_showclock_val = sanitize_text_field($_POST[ $bh_data_field_showclock ]);  
	$bh_shuffle_val = sanitize_text_field($_POST[ $bh_data_field_shuffle ]);  

    // Save the posted value in the database
    update_option( $bh_data_field_server_time, $bh_server_time_val );
    update_option( $bh_data_field_sun_open, $bh_sun_open_time_val );
    update_option( $bh_data_field_sun_close, $bh_sun_close_time_val );
    update_option( $bh_data_field_mon_open, $bh_mon_open_time_val );
    update_option( $bh_data_field_mon_close, $bh_mon_close_time_val );
    update_option( $bh_data_field_tue_open, $bh_tue_open_time_val );
    update_option( $bh_data_field_tue_close, $bh_tue_close_time_val );
    update_option( $bh_data_field_wed_open, $bh_wed_open_time_val );
    update_option( $bh_data_field_wed_close, $bh_wed_close_time_val );
    update_option( $bh_data_field_thu_open, $bh_thu_open_time_val );
    update_option( $bh_data_field_thu_close, $bh_thu_close_time_val );
    update_option( $bh_data_field_fri_open, $bh_fri_open_time_val );
    update_option( $bh_data_field_fri_close, $bh_fri_close_time_val );
    update_option( $bh_data_field_sat_open, $bh_sat_open_time_val );
    update_option( $bh_data_field_sat_close, $bh_sat_close_time_val );
    update_option( $bh_data_field_highlight, $bh_highlight_color_val );
	update_option( $bh_data_field_showclock, $bh_showclock_val );
	update_option( $bh_data_field_shuffle, $bh_shuffle_val );
	  
    // Put a "settings saved" message on the screen	
    ?>
<div class="updated">
  <p><strong>
    <?php _e('settings saved.', 'busnhours_settings' ); ?>
    </strong></p>
</div>
<?php } ?>






<!-- FORM LAYOUT ============================================  -->	
<!--  Now display the admin settings editing screen -->

<?php echo "<h1>" . __( 'busnHours Plugin Settings', 'busnhours_settings' ) . "</h1>"; ?>
<hr>
<form name="bh_form_settings" method="post" action="">
		
<section class="busn-hours-settings_time-zone">		
  <input type="hidden" name="<?php echo $hidden_field_name; ?>" value="Y">
  <h2>Your Time Zone</h2>
  <p>This setting adjusts the time from the web hosting server time to your location time.<br />
    <em>Save changes to see current day and time.</em></p>
	
 <div class="select-location-wrap">	
	<select name="<?php echo $bh_data_field_server_time; ?>" onchange="location.reload()">
    <option selected="selected" style="background-color:yellow;"><?php echo $bh_server_time_val; ?></option>
    <option>Africa/Abidjan</option>
    <option>Africa/Accra</option>
    <option>Africa/Addis_Ababa</option>
    <option>Africa/Algiers</option>
    <option>Africa/Asmara</option>
    <option>Africa/Bamako</option>
    <option>Africa/Bangui</option>
    <option>Africa/Banjul</option>
    <option>Africa/Bissau</option>
    <option>Africa/Blantyre</option>
    <option>Africa/Brazzaville</option>
    <option>Africa/Bujumbura</option>
    <option>Africa/Cairo</option>
    <option>Africa/Casablanca</option>
    <option>Africa/Ceuta</option>
    <option>Africa/Conakry</option>
    <option>Africa/Dakar</option>
    <option>Africa/Dar_es_Salaam</option>
    <option>Africa/Djibouti</option>
    <option>Africa/Douala</option>
    <option>Africa/El_Aaiun</option>
    <option>Africa/Freetown</option>
    <option>Africa/Gaborone</option>
    <option>Africa/Harare</option>
    <option>Africa/Johannesburg</option>
    <option>Africa/Juba</option>
    <option>Africa/Kampala</option>
    <option>Africa/Khartoum</option>
    <option>Africa/Kigali</option>
    <option>Africa/Kinshasa</option>
    <option>Africa/Lagos</option>
    <option>Africa/Libreville</option>
    <option>Africa/Lome</option>
    <option>Africa/Luanda</option>
    <option>Africa/Lubumbashi</option>
    <option>Africa/Lusaka</option>
    <option>Africa/Malabo</option>
    <option>Africa/Maputo</option>
    <option>Africa/Maseru</option>
    <option>Africa/Mbabane</option>
    <option>Africa/Mogadishu</option>
    <option>Africa/Monrovia</option>
    <option>Africa/Nairobi</option>
    <option>Africa/Ndjamena</option>
    <option>Africa/Niamey</option>
    <option>Africa/Nouakchott</option>
    <option>Africa/Ouagadougou</option>
    <option>Africa/Porto-Novo</option>
    <option>Africa/Sao_Tome</option>
    <option>Africa/Tripoli</option>
    <option>Africa/Tunis</option>
    <option>Africa/Windhoek</option>
    <option>America/Adak</option>
    <option>America/Anchorage</option>
    <option>America/Anguilla</option>
    <option>America/Antigua</option>
    <option>America/Araguaina</option>
    <option>America/Argentina/Buenos_Aires</option>
    <option>America/Argentina/Catamarca</option>
    <option>America/Argentina/Cordoba</option>
    <option>America/Argentina/Jujuy</option>
    <option>America/Argentina/La_Rioja</option>
    <option>America/Argentina/Mendoza</option>
    <option>America/Argentina/Rio_Gallegos</option>
    <option>America/Argentina/Salta</option>
    <option>America/Argentina/San_Juan</option>
    <option>America/Argentina/San_Luis</option>
    <option>America/Argentina/Tucuman</option>
    <option>America/Argentina/Ushuaia</option>
    <option>America/Aruba</option>
    <option>America/Asuncion</option>
    <option>America/Atikokan</option>
    <option>America/Bahia</option>
    <option>America/Bahia_Banderas</option>
    <option>America/Barbados</option>
    <option>America/Belem</option>
    <option>America/Belize</option>
    <option>America/Blanc-Sablon</option>
    <option>America/Boa_Vista</option>
    <option>America/Bogota</option>
    <option>America/Boise</option>
    <option>America/Cambridge_Bay</option>
    <option>America/Campo_Grande</option>
    <option>America/Cancun</option>
    <option>America/Caracas</option>
    <option>America/Cayenne</option>
    <option>America/Cayman</option>
    <option>America/Chicago</option>
    <option>America/Chihuahua</option>
    <option>America/Costa_Rica</option>
    <option>America/Creston</option>
    <option>America/Cuiaba</option>
    <option>America/Curacao</option>
    <option>America/Danmarkshavn</option>
    <option>America/Dawson</option>
    <option>America/Dawson_Creek</option>
    <option>America/Denver</option>
    <option>America/Detroit</option>
    <option>America/Dominica</option>
    <option>America/Edmonton</option>
    <option>America/Eirunepe</option>
    <option>America/El_Salvador</option>
    <option>America/Fortaleza</option>
    <option>America/Glace_Bay</option>
    <option>America/Godthab</option>
    <option>America/Goose_Bay</option>
    <option>America/Grand_Turk</option>
    <option>America/Grenada</option>
    <option>America/Guadeloupe</option>
    <option>America/Guatemala</option>
    <option>America/Guayaquil</option>
    <option>America/Guyana</option>
    <option>America/Halifax</option>
    <option>America/Havana</option>
    <option>America/Hermosillo</option>
    <option>America/Indiana/Indianapolis</option>
    <option>America/Indiana/Knox</option>
    <option>America/Indiana/Marengo</option>
    <option>America/Indiana/Petersburg</option>
    <option>America/Indiana/Tell_City</option>
    <option>America/Indiana/Vevay</option>
    <option>America/Indiana/Vincennes</option>
    <option>America/Indiana/Winamac</option>
    <option>America/Inuvik</option>
    <option>America/Iqaluit</option>
    <option>America/Jamaica</option>
    <option>America/Juneau</option>
    <option>America/Kentucky/Louisville</option>
    <option>America/Kentucky/Monticello</option>
    <option>America/Kralendijk</option>
    <option>America/La_Paz</option>
    <option>America/Lima</option>
    <option>America/Los_Angeles</option>
    <option>America/Lower_Princes</option>
    <option>America/Maceio</option>
    <option>America/Managua</option>
    <option>America/Manaus</option>
    <option>America/Marigot</option>
    <option>America/Martinique</option>
    <option>America/Matamoros</option>
    <option>America/Mazatlan</option>
    <option>America/Menominee</option>
    <option>America/Merida</option>
    <option>America/Metlakatla</option>
    <option>America/Mexico_City</option>
    <option>America/Miquelon</option>
    <option>America/Moncton</option>
    <option>America/Monterrey</option>
    <option>America/Montevideo</option>
    <option>America/Montserrat</option>
    <option>America/Nassau</option>
    <option>America/New_York</option>
    <option>America/Nipigon</option>
    <option>America/Nome</option>
    <option>America/Noronha</option>
    <option>America/North_Dakota/Beulah</option>
    <option>America/North_Dakota/Center</option>
    <option>America/North_Dakota/New_Salem</option>
    <option>America/Ojinaga</option>
    <option>America/Panama</option>
    <option>America/Pangnirtung</option>
    <option>America/Paramaribo</option>
    <option>America/Phoenix</option>
    <option>America/Port-au-Prince</option>
    <option>America/Port_of_Spain</option>
    <option>America/Porto_Velho</option>
    <option>America/Puerto_Rico</option>
    <option>America/Rainy_River</option>
    <option>America/Rankin_Inlet</option>
    <option>America/Recife</option>
    <option>America/Regina</option>
    <option>America/Resolute</option>
    <option>America/Rio_Branco</option>
    <option>America/Santa_Isabel</option>
    <option>America/Santarem</option>
    <option>America/Santiago</option>
    <option>America/Santo_Domingo</option>
    <option>America/Sao_Paulo</option>
    <option>America/Scoresbysund</option>
    <option>America/Sitka</option>
    <option>America/St_Barthelemy</option>
    <option>America/St_Johns</option>
    <option>America/St_Kitts</option>
    <option>America/St_Lucia</option>
    <option>America/St_Thomas</option>
    <option>America/St_Vincent</option>
    <option>America/Swift_Current</option>
    <option>America/Tegucigalpa</option>
    <option>America/Thule</option>
    <option>America/Thunder_Bay</option>
    <option>America/Tijuana</option>
    <option>America/Toronto</option>
    <option>America/Tortola</option>
    <option>America/Vancouver</option>
    <option>America/Whitehorse</option>
    <option>America/Winnipeg</option>
    <option>America/Yakutat</option>
    <option>America/Yellowknife</option>
    <option>Antarctica/Casey</option>
    <option>Antarctica/Davis</option>
    <option>Antarctica/DumontDUrville</option>
    <option>Antarctica/Macquarie</option>
    <option>Antarctica/Mawson</option>
    <option>Antarctica/McMurdo</option>
    <option>Antarctica/Palmer</option>
    <option>Antarctica/Rothera</option>
    <option>Antarctica/Syowa</option>
    <option>Antarctica/Troll</option>
    <option>Antarctica/Vostok</option>
    <option>Arctic/Longyearbyen</option>
    <option>Asia/Aden</option>
    <option>Asia/Almaty</option>
    <option>Asia/Amman</option>
    <option>Asia/Anadyr</option>
    <option>Asia/Aqtau</option>
    <option>Asia/Aqtobe</option>
    <option>Asia/Ashgabat</option>
    <option>Asia/Baghdad</option>
    <option>Asia/Bahrain</option>
    <option>Asia/Baku</option>
    <option>Asia/Bangkok</option>
    <option>Asia/Beirut</option>
    <option>Asia/Bishkek</option>
    <option>Asia/Brunei</option>
    <option>Asia/Choibalsan</option>
    <option>Asia/Chongqing</option>
    <option>Asia/Colombo</option>
    <option>Asia/Damascus</option>
    <option>Asia/Dhaka</option>
    <option>Asia/Dili</option>
    <option>Asia/Dubai</option>
    <option>Asia/Dushanbe</option>
    <option>Asia/Gaza</option>
    <option>Asia/Harbin</option>
    <option>Asia/Hebron</option>
    <option>Asia/Ho_Chi_Minh</option>
    <option>Asia/Hong_Kong</option>
    <option>Asia/Hovd</option>
    <option>Asia/Irkutsk</option>
    <option>Asia/Jakarta</option>
    <option>Asia/Jayapura</option>
    <option>Asia/Jerusalem</option>
    <option>Asia/Kabul</option>
    <option>Asia/Kamchatka</option>
    <option>Asia/Karachi</option>
    <option>Asia/Kashgar</option>
    <option>Asia/Kathmandu</option>
    <option>Asia/Khandyga</option>
    <option>Asia/Kolkata</option>
    <option>Asia/Krasnoyarsk</option>
    <option>Asia/Kuala_Lumpur</option>
    <option>Asia/Kuching</option>
    <option>Asia/Kuwait</option>
    <option>Asia/Macau</option>
    <option>Asia/Magadan</option>
    <option>Asia/Makassar</option>
    <option>Asia/Manila</option>
    <option>Asia/Muscat</option>
    <option>Asia/Nicosia</option>
    <option>Asia/Novokuznetsk</option>
    <option>Asia/Novosibirsk</option>
    <option>Asia/Omsk</option>
    <option>Asia/Oral</option>
    <option>Asia/Phnom_Penh</option>
    <option>Asia/Pontianak</option>
    <option>Asia/Pyongyang</option>
    <option>Asia/Qatar</option>
    <option>Asia/Qyzylorda</option>
    <option>Asia/Rangoon</option>
    <option>Asia/Riyadh</option>
    <option>Asia/Sakhalin</option>
    <option>Asia/Samarkand</option>
    <option>Asia/Seoul</option>
    <option>Asia/Shanghai</option>
    <option>Asia/Singapore</option>
    <option>Asia/Taipei</option>
    <option>Asia/Tashkent</option>
    <option>Asia/Tbilisi</option>
    <option>Asia/Tehran</option>
    <option>Asia/Thimphu</option>
    <option>Asia/Tokyo</option>
    <option>Asia/Ulaanbaatar</option>
    <option>Asia/Urumqi</option>
    <option>Asia/Ust-Nera</option>
    <option>Asia/Vientiane</option>
    <option>Asia/Vladivostok</option>
    <option>Asia/Yakutsk</option>
    <option>Asia/Yekaterinburg</option>
    <option>Asia/Yerevan</option>
    <option>Atlantic/Azores</option>
    <option>Atlantic/Bermuda</option>
    <option>Atlantic/Canary</option>
    <option>Atlantic/Cape_Verde</option>
    <option>Atlantic/Faroe</option>
    <option>Atlantic/Madeira</option>
    <option>Atlantic/Reykjavik</option>
    <option>Atlantic/South_Georgia</option>
    <option>Atlantic/St_Helena</option>
    <option>Atlantic/Stanley</option>
    <option>Australia/Adelaide</option>
    <option>Australia/Brisbane</option>
    <option>Australia/Broken_Hill</option>
    <option>Australia/Currie</option>
    <option>Australia/Darwin</option>
    <option>Australia/Eucla</option>
    <option>Australia/Hobart</option>
    <option>Australia/Lindeman</option>
    <option>Australia/Lord_Howe</option>
    <option>Australia/Melbourne</option>
    <option>Australia/Perth</option>
    <option>Australia/Sydney</option>
    <option>Europe/Amsterdam</option>
    <option>Europe/Andorra</option>
    <option>Europe/Athens</option>
    <option>Europe/Belgrade</option>
    <option>Europe/Berlin</option>
    <option>Europe/Bratislava</option>
    <option>Europe/Brussels</option>
    <option>Europe/Bucharest</option>
    <option>Europe/Budapest</option>
    <option>Europe/Busingen</option>
    <option>Europe/Chisinau</option>
    <option>Europe/Copenhagen</option>
    <option>Europe/Dublin</option>
    <option>Europe/Gibraltar</option>
    <option>Europe/Guernsey</option>
    <option>Europe/Helsinki</option>
    <option>Europe/Isle_of_Man</option>
    <option>Europe/Istanbul</option>
    <option>Europe/Jersey</option>
    <option>Europe/Kaliningrad</option>
    <option>Europe/Kiev</option>
    <option>Europe/Lisbon</option>
    <option>Europe/Ljubljana</option>
    <option>Europe/London</option>
    <option>Europe/Luxembourg</option>
    <option>Europe/Madrid</option>
    <option>Europe/Malta</option>
    <option>Europe/Mariehamn</option>
    <option>Europe/Minsk</option>
    <option>Europe/Monaco</option>
    <option>Europe/Moscow</option>
    <option>Europe/Oslo</option>
    <option>Europe/Paris</option>
    <option>Europe/Podgorica</option>
    <option>Europe/Prague</option>
    <option>Europe/Riga</option>
    <option>Europe/Rome</option>
    <option>Europe/Samara</option>
    <option>Europe/San_Marino</option>
    <option>Europe/Sarajevo</option>
    <option>Europe/Simferopol</option>
    <option>Europe/Skopje</option>
    <option>Europe/Sofia</option>
    <option>Europe/Stockholm</option>
    <option>Europe/Tallinn</option>
    <option>Europe/Tirane</option>
    <option>Europe/Uzhgorod</option>
    <option>Europe/Vaduz</option>
    <option>Europe/Vatican</option>
    <option>Europe/Vienna</option>
    <option>Europe/Vilnius</option>
    <option>Europe/Volgograd</option>
    <option>Europe/Warsaw</option>
    <option>Europe/Zagreb</option>
    <option>Europe/Zaporozhye</option>
    <option>Europe/Zurich</option>
    <option>GMT</option>
    <option>Indian/Antananarivo</option>
    <option>Indian/Chagos</option>
    <option>Indian/Christmas</option>
    <option>Indian/Cocos</option>
    <option>Indian/Comoro</option>
    <option>Indian/Kerguelen</option>
    <option>Indian/Mahe</option>
    <option>Indian/Maldives</option>
    <option>Indian/Mauritius</option>
    <option>Indian/Mayotte</option>
    <option>Indian/Reunion</option>
    <option>Pacific/Apia</option>
    <option>Pacific/Auckland</option>
    <option>Pacific/Chatham</option>
    <option>Pacific/Chuuk</option>
    <option>Pacific/Easter</option>
    <option>Pacific/Efate</option>
    <option>Pacific/Enderbury</option>
    <option>Pacific/Fakaofo</option>
    <option>Pacific/Fiji</option>
    <option>Pacific/Funafuti</option>
    <option>Pacific/Galapagos</option>
    <option>Pacific/Gambier</option>
    <option>Pacific/Guadalcanal</option>
    <option>Pacific/Guam</option>
    <option>Pacific/Honolulu</option>
    <option>Pacific/Johnston</option>
    <option>Pacific/Kiritimati</option>
    <option>Pacific/Kosrae</option>
    <option>Pacific/Kwajalein</option>
    <option>Pacific/Majuro</option>
    <option>Pacific/Marquesas</option>
    <option>Pacific/Midway</option>
    <option>Pacific/Nauru</option>
    <option>Pacific/Niue</option>
    <option>Pacific/Norfolk</option>
    <option>Pacific/Noumea</option>
    <option>Pacific/Pago_Pago</option>
    <option>Pacific/Palau</option>
    <option>Pacific/Pitcairn</option>
    <option>Pacific/Pohnpei</option>
    <option>Pacific/Port_Moresby</option>
    <option>Pacific/Rarotonga</option>
    <option>Pacific/Saipan</option>
    <option>Pacific/Tahiti</option>
    <option>Pacific/Tarawa</option>
    <option>Pacific/Tongatapu</option>
    <option>Pacific/Wake</option>
    <option>Pacific/Wallis</option>
  </select>
	
	
	
  <?php
  // GET SERVER TIME ====================================  >>	
  // set time zone below then show the information	
  $bh_your_local_time = get_option( 'time_zone' );
  date_default_timezone_set( "$bh_your_local_time" );
  ?>
   <div class="select-server-time-date-info">
     <span id="server-day">
     <?php $today = date("D"); echo($today); ?>
     </span> <span id="server-time-hour">
     <?php $timehour = date("h"); echo($timehour);?>
     </span>:<span id="server-time-minutes">
     <?php $timeminutes = date("i"); echo($timeminutes);?>
     </span> <span id="server-timeofday">
     <?php $timeofday = date("A"); echo($timeofday);?>
     </span>
   </div>
  </div>	 
</section>
  <hr>
  <!-- ========================= BUSINESS HOUR SETTINGS HTML ========================== -->
	<section class="busn-hours-settings-time">  
    <h2>Your Business Hours</h2>
  <!-- BUSN HOUR SETTINGS  --> 
  <!-- xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx -->
  <?php
  //  - lets do a for loop and not write a bunch of it.	

  // our weekdays array to build our dymaic select inputs.	
  $weekdays = [ "Sunday", "Monday", "Tuesday", "Wednesday", "Thursday", "Friday", "Saturday" ];

  // open time variable array	
  $bh_open_time_val = [ $bh_sun_open_time_val, $bh_mon_open_time_val, $bh_tue_open_time_val, $bh_wed_open_time_val, $bh_thu_open_time_val, $bh_fri_open_time_val, $bh_sat_open_time_val ];
  // close time variable array		
  $bh_close_time_val = [ $bh_sun_close_time_val, $bh_mon_close_time_val, $bh_tue_close_time_val, $bh_wed_close_time_val, $bh_thu_close_time_val, $bh_fri_close_time_val, $bh_sat_close_time_val ];

  // open hours select fields	
  $bh_data_field_open = [ $bh_data_field_sun_open, $bh_data_field_mon_open, $bh_data_field_tue_open, $bh_data_field_wed_open, $bh_data_field_thu_open, $bh_data_field_fri_open, $bh_data_field_sat_open ];

  // closed hours select fields	
  $bh_data_field_closed = [ $bh_data_field_sun_close, $bh_data_field_mon_close, $bh_data_field_tue_close, $bh_data_field_wed_close, $bh_data_field_thu_close, $bh_data_field_fri_close, $bh_data_field_sat_close ];

  for ( $i = 0; $i < count( $weekdays ); $i++ ) {
    // start for looop 
    ?>
  <div class="busn-hours-settings_hours-wrapper">
    <div class="busn-hours-settings_day"> <?php echo $weekdays[$i]; ?> </div>
    <div class="busn-hours-settings_hours">
      <select  name="<?php echo $bh_data_field_open[$i]; ?>">
        <option class="closed" <?php if ( $bh_open_time_val[$i] == 'Closed' ) echo 'selected'; ?> >Closed</option>
        <option <?php if ( $bh_open_time_val[$i] == '6:00 AM' ) echo 'selected'; ?> >6:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '6:30 AM' ) echo 'selected'; ?> >6:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '7:00 AM' ) echo 'selected'; ?> >7:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '7:30 AM' ) echo 'selected'; ?> >7:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '8:00 AM' ) echo 'selected'; ?> >8:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '8:30 AM' ) echo 'selected'; ?> >8:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '9:00 AM' ) echo 'selected'; ?> >9:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '9:30 AM' ) echo 'selected'; ?> >9:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '10:00 AM' ) echo 'selected'; ?> >10:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '10:30 AM' ) echo 'selected'; ?> >10:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '11:00 AM' ) echo 'selected'; ?> >11:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '11:30 AM' ) echo 'selected'; ?> >11:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '12:00 PM' ) echo 'selected'; ?> >12:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '12:30 PM' ) echo 'selected'; ?> >12:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '1:00 PM' ) echo 'selected'; ?> >1:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '1:30 PM' ) echo 'selected'; ?> >1:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '2:00 PM' ) echo 'selected'; ?> >2:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '2:30 PM' ) echo 'selected'; ?> >2:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '3:00 PM' ) echo 'selected'; ?> >3:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '3:30 PM' ) echo 'selected'; ?> >3:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '4:00 PM' ) echo 'selected'; ?> >4:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '4:30 PM' ) echo 'selected'; ?> >4:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '5:00 PM' ) echo 'selected'; ?> >5:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '5:30 PM' ) echo 'selected'; ?> >5:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '6:00 PM' ) echo 'selected'; ?> >6:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '6:30 PM' ) echo 'selected'; ?> >6:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '7:00 PM' ) echo 'selected'; ?> >7:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '7:30 PM' ) echo 'selected'; ?> >7:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '8:00 PM' ) echo 'selected'; ?> >8:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '8:30 PM' ) echo 'selected'; ?> >8:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '9:00 PM' ) echo 'selected'; ?> >9:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '9:30 PM' ) echo 'selected'; ?> >9:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '10:00 PM' ) echo 'selected'; ?> >10:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '10:30 PM' ) echo 'selected'; ?> >10:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '11:00 PM' ) echo 'selected'; ?> >11:00 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '11:30 PM' ) echo 'selected'; ?> >11:30 PM</option>
        <option <?php if ( $bh_open_time_val[$i] == '12:00 PM' ) echo 'selected'; ?> >12:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '12:30 AM' ) echo 'selected'; ?> >12:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '1:00 AM' ) echo 'selected'; ?> >1:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '1:30 AM' ) echo 'selected'; ?> >1:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '2:00 AM' ) echo 'selected'; ?> >2:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '2:30 AM' ) echo 'selected'; ?> >2:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '3:00 AM' ) echo 'selected'; ?> >3:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '3:30 AM' ) echo 'selected'; ?> >3:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '4:00 AM' ) echo 'selected'; ?> >4:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '4:30 AM' ) echo 'selected'; ?> >4:30 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '5:00 AM' ) echo 'selected'; ?> >5:00 AM</option>
        <option <?php if ( $bh_open_time_val[$i] == '5:30 AM' ) echo 'selected'; ?> >5:30 AM</option>
      </select>
      -
      <select name="<?php echo $bh_data_field_closed[$i]; ?>">
     <option class="closed" <?php if ( $bh_close_time_val[$i] == 'Closed' ) echo 'selected'; ?> >Closed</option> 
        <option <?php if ( $bh_close_time_val[$i] == '6:00 AM' ) echo 'selected'; ?> >6:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '6:30 AM' ) echo 'selected'; ?> >6:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '7:00 AM' ) echo 'selected'; ?> >7:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '7:30 AM' ) echo 'selected'; ?> >7:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '8:00 AM' ) echo 'selected'; ?> >8:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '8:30 AM' ) echo 'selected'; ?> >8:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '9:00 AM' ) echo 'selected'; ?> >9:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '9:30 AM' ) echo 'selected'; ?> >9:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '10:00 AM' ) echo 'selected'; ?> >10:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '10:30 AM' ) echo 'selected'; ?> >10:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '11:00 AM' ) echo 'selected'; ?> >11:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '11:30 AM' ) echo 'selected'; ?> >11:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '12:00 PM' ) echo 'selected'; ?> >12:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '12:30 PM' ) echo 'selected'; ?> >12:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '1:00 PM' ) echo 'selected'; ?> >1:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '1:30 PM' ) echo 'selected'; ?> >1:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '2:00 PM' ) echo 'selected'; ?> >2:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '2:30 PM' ) echo 'selected'; ?> >2:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '3:00 PM' ) echo 'selected'; ?> >3:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '3:30 PM' ) echo 'selected'; ?> >3:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '4:00 PM' ) echo 'selected'; ?> >4:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '4:30 PM' ) echo 'selected'; ?> >4:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '5:00 PM' ) echo 'selected'; ?> >5:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '5:30 PM' ) echo 'selected'; ?> >5:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '6:00 PM' ) echo 'selected'; ?> >6:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '6:30 PM' ) echo 'selected'; ?> >6:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '7:00 PM' ) echo 'selected'; ?> >7:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '7:30 PM' ) echo 'selected'; ?> >7:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '8:00 PM' ) echo 'selected'; ?> >8:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '8:30 PM' ) echo 'selected'; ?> >8:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '9:00 PM' ) echo 'selected'; ?> >9:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '9:30 PM' ) echo 'selected'; ?> >9:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '10:00 PM' ) echo 'selected'; ?> >10:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '10:30 PM' ) echo 'selected'; ?> >10:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '11:00 PM' ) echo 'selected'; ?> >11:00 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '11:30 PM' ) echo 'selected'; ?> >11:30 PM</option>
        <option <?php if ( $bh_close_time_val[$i] == '12:00 AM' ) echo 'selected'; ?> >12:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '12:30 AM' ) echo 'selected'; ?> >12:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '1:00 AM' ) echo 'selected'; ?> >1:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '1:30 AM' ) echo 'selected'; ?> >1:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '2:00 AM' ) echo 'selected'; ?> >2:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '2:30 AM' ) echo 'selected'; ?> >2:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '3:00 AM' ) echo 'selected'; ?> >3:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '3:30 AM' ) echo 'selected'; ?> >3:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '4:00 AM' ) echo 'selected'; ?> >4:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '4:30 AM' ) echo 'selected'; ?> >4:30 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '5:00 AM' ) echo 'selected'; ?> >5:00 AM</option>
        <option <?php if ( $bh_close_time_val[$i] == '5:30 AM' ) echo 'selected'; ?> >5:30 AM</option>
      </select>
    </div>
  </div>
  <?php
  // end forloop	
  }
  ?>
</section>		
  <!-- EOF BUSN HOUR SETTINGS --> 
	  
 <hr>  
<section class="bh-settings_highlight-color">
    <h2>Highlight Color</h2>
    <p>Pick a highlight color to help indicate the current day and open notices.</p>

      <div class="color-value-input"> 
    <!-- color picker -->
    <div id="hexColorPicker">
      <div class="color-palette-wrap">
        <div class="color-palette-group"> 
			<span style="background-color:#ffa0a0"></span> 
			<span style="background-color:#ff7878"></span> 
			<span style="background-color:#ff4e4e"></span> 
			<span style="background-color:#ff2222"></span> 
			<span style="background-color:#ff0000"></span> 
			<span style="background-color:#eb0000"></span> 
			<span style="background-color:#d50000"></span> 
			<span style="background-color:#b80000"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#ef9a9a"></span> 
			<span style="background-color:#e57373"></span> 
			<span style="background-color:#f44336"></span> 
			<span style="background-color:#e53935"></span> 
			<span style="background-color:#e53935"></span> 
			<span style="background-color:#d32f2f"></span> 
			<span style="background-color:#c62828"></span> 
			<span style="background-color:#b71c1c"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#f48fb1"></span> 
			<span style="background-color:#f06292"></span> 
			<span style="background-color:#ec407a"></span> 
			<span style="background-color:#e91e63"></span> 
			<span style="background-color:#d81b60"></span> 
			<span style="background-color:#c2185b"></span> 
			<span style="background-color:#ad1457"></span> 
			<span style="background-color:#ad1457"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#ce93d8"></span> 
			<span style="background-color:#ba68c8"></span> 
			<span style="background-color:#ab47bc"></span> 
			<span style="background-color:#9c27b0"></span> 
			<span style="background-color:#8e24aa"></span> 
			<span style="background-color:#7b1fa2"></span> 
			<span style="background-color:#6a1b9a"></span> 
			<span style="background-color:#4a148c"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#b39ddb"></span> 
			<span style="background-color:#9575cd"></span> 
			<span style="background-color:#7e57c2"></span> 
			<span style="background-color:#673ab7"></span> 
			<span style="background-color:#5e35b1"></span> 
			<span style="background-color:#512da8"></span> 
			<span style="background-color:#4527a0"></span> 
			<span style="background-color:#311b92"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#9fa8da"></span> 
			<span style="background-color:#7986cb"></span> 
			<span style="background-color:#5c6bc0"></span> 
			<span style="background-color:#3f51b5"></span> 
			<span style="background-color:#3949ab"></span> 
			<span style="background-color:#303f9f"></span> 
			<span style="background-color:#283593"></span> 
			<span style="background-color:#1a237e"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#90caf9"></span> 
			<span style="background-color:#64b5f6"></span> 
			<span style="background-color:#42a5f5"></span> 
			<span style="background-color:#2196f3"></span> 
			<span style="background-color:#1e88e5"></span> 
			<span style="background-color:#1976d2"></span> 
			<span style="background-color:#1565c0"></span> 
			<span style="background-color:#0d47a1"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#81d4fa"></span> 
			<span style="background-color:#4fc3f7"></span> 
			<span style="background-color:#29b6f6"></span> 
			<span style="background-color:#03a9f4"></span> 
			<span style="background-color:#039be5"></span> 
			<span style="background-color:#0288d1"></span> 
			<span style="background-color:#0277bd"></span> 
			<span style="background-color:#01579b"></span> 
		  </div>
        <div class="color-palette-group">
			<span style="background-color:#80deea"></span> 
			<span style="background-color:#4dd0e1"></span> 
			<span style="background-color:#26c6da"></span> 
			<span style="background-color:#00bcd4"></span> 
			<span style="background-color:#00acc1"></span> 
			<span style="background-color:#0097a7"></span> 
			<span style="background-color:#00838f"></span> 
			<span style="background-color:#006064"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#80cbc4"></span> 
			<span style="background-color:#4db6ac"></span> 
			<span style="background-color:#26a69a"></span> 
			<span style="background-color:#009688"></span> 
			<span style="background-color:#00897b"></span> 
			<span style="background-color:#00796b"></span> 
			<span style="background-color:#00695c"></span> 
			<span style="background-color:#004d40"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#a5d6a7"></span> 
			<span style="background-color:#81c784"></span> 
			<span style="background-color:#66bb6a"></span> 
			<span style="background-color:#4caf50"></span> 
			<span style="background-color:#43a047"></span> 
			<span style="background-color:#388e3c"></span> 
			<span style="background-color:#2e7d32"></span> 
			<span style="background-color:#1b5e20"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#c5e1a5"></span> 
			<span style="background-color:#aed581"></span> 
			<span style="background-color:#9ccc65"></span> 
			<span style="background-color:#8bc34a"></span> 
			<span style="background-color:#7cb342"></span> 
			<span style="background-color:#689f38"></span> 
			<span style="background-color:#558b2f"></span> 
			<span style="background-color:#33691e"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#e6ee9c"></span> 
			<span style="background-color:#dce775"></span> 
			<span style="background-color:#d4e157"></span> 
			<span style="background-color:#cddc39"></span> 
			<span style="background-color:#c0ca33"></span> 
			<span style="background-color:#afb42b"></span> 
			<span style="background-color:#9e9d24"></span> 
			<span style="background-color:#827717"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#fff59d"></span> 
			<span style="background-color:#fff176"></span> 
			<span style="background-color:#ffee58"></span> 
			<span style="background-color:#ffeb3b"></span> 
			<span style="background-color:#fdd835"></span> 
			<span style="background-color:#fbc02d"></span> 
			<span style="background-color:#f9a825"></span> 
			<span style="background-color:#f57f17"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#ffe082"></span> 
			<span style="background-color:#ffd54f"></span> 
			<span style="background-color:#ffca28"></span> 
			<span style="background-color:#ffc107"></span> 
			<span style="background-color:#ffb300"></span> 
			<span style="background-color:#ffa000"></span> 
			<span style="background-color:#ff8f00"></span> 
			<span style="background-color:#ff6f00"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#ffab91"></span> 
			<span style="background-color:#ff8a65"></span> 
			<span style="background-color:#ff7043"></span> 
			<span style="background-color:#ff5722"></span> 
			<span style="background-color:#f4511e"></span> 
			<span style="background-color:#e64a19"></span> 
			<span style="background-color:#d84315"></span> 
			<span style="background-color:#bf360c"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#bcaaa4"></span> 
			<span style="background-color:#a1887f"></span> 
			<span style="background-color:#8d6e63"></span> 
			<span style="background-color:#795548"></span> 
			<span style="background-color:#6d4c41"></span> 
			<span style="background-color:#5d4037"></span> 
			<span style="background-color:#4e342e"></span> 
			<span style="background-color:#3e2723"></span> 
		  </div>
        <div class="color-palette-group"> 
			<span style="background-color:#eeeeee"></span> 
			<span style="background-color:#e0e0e0"></span> 
			<span style="background-color:#bdbdbd"></span> 
			<span style="background-color:#9e9e9e"></span> 
			<span style="background-color:#757575"></span> 
			<span style="background-color:#616161"></span> 
			<span style="background-color:#424242"></span> 
			<span style="background-color:#212121"></span> 
		  </div>
      </div>
    </div>
    <!-- eof color picker --> 
		<input type="text" name="<?php echo $bh_data_field_highlight; ?>" value="<?php echo $bh_highlight_color_val; ?>" readonly> 
		<div class="picked-color"></div>
	</div>	  		  
</section>
<hr>
<section>
	  <h2>Show Clock</h2>  
	  <p>Show a clock above your business hours</p>
	   <input type="radio" name="<?php echo $bh_data_field_showclock; ?>" value="showclock" 
			  <?php if ( $bh_showclock_val == 'showclock' ) echo 'checked'; ?> >Show
	   <input type="radio" name="<?php echo $bh_data_field_showclock; ?>" value="noshowclock" 
			  <?php if ( $bh_showclock_val == 'noshowclock' ) echo 'checked'; ?> >Do not show
</section> 
<hr>
<section>
	 <h2>Shuffle by Date</h2>
	 <p>Shuffle the latest day to the top of the list.</p>
	   <input type="radio" name="<?php echo $bh_data_field_shuffle; ?>" value="shuffledate" 
			  <?php if ( $bh_shuffle_val == 'shuffledate' ) echo 'checked'; ?>  >Shuffle
	   <input type="radio" name="<?php echo $bh_data_field_shuffle; ?>" value="noshuffledate" 
			  <?php if ( $bh_shuffle_val == 'noshuffledate' ) echo 'checked'; ?>  >Do not shuffle
</section>	  
<hr>
<section>
	<h2>Shortcode</h2>
	<strong>[busnhours]</strong>
	<p>Copy the shortcode above to place busnHours on any page.</p>
</section>
<hr>	  
<section>	  
      <div class="submit">
        <input type="submit" name="Submit" class="button-primary" value="<?php esc_attr_e('Save Changes') ?>" />
      </div>
</section>
</form>

	
	
<?php } ?>
<?php
// CLIENT SIDE - ADD SHORTCODE CONTENT TO PAGE =========================================== >>
// Example 1 - general layout
function busnhours_shortcode() {
  ob_start();
  ?>
<!-- busnHours 2.0 -->

<!--  print HTML -->
<div id="busnHours-container">
	
<div id="server-day">
  <?php $today = date("N"); echo($today); ?>
</div>
<div id="server-time-hour">
  <?php $timehour = date("H"); echo($timehour);?>
</div>
<div id="server-time-minutes">
  <?php $timeminutes = date("i"); echo($timeminutes);?>
</div>
<div id="server-time-secs">
  <?php $timesecs = date("s"); echo($timesecs);?>
</div>
<div id="server-timeofday">
  <?php $timeofday = date("A"); echo($timeofday);?>
</div>

<!-- Print color value -->
<div id="highlight-color"><?php echo get_option('bh_highlight_color'); ?></div>
<!-- Print show clock value -->
<div id="showclock-val"><?php echo get_option('bh_clock_func'); ?></div>	
<!-- print shuffle value -->
<div id="shuffle-val"><?php echo get_option('bh_shuffle_func'); ?></div>
	
	
	
	
<?php
// get OPEN/CLOSE TIMES from database to add =================== >>	
$bh_sun_time_open = get_option( 'sun_open_time' );
$bh_sun_time_close = get_option( 'sun_close_time' );

$bh_mon_time_open = get_option( 'mon_open_time' );
$bh_mon_time_close = get_option( 'mon_close_time' );

$bh_tue_time_open = get_option( 'tue_open_time' );
$bh_tue_time_close = get_option( 'tue_close_time' );

$bh_wed_time_open = get_option( 'wed_open_time' );
$bh_wed_time_close = get_option( 'wed_close_time' );

$bh_thu_time_open = get_option( 'thu_open_time' );
$bh_thu_time_close = get_option( 'thu_close_time' );

$bh_fri_time_open = get_option( 'fri_open_time' );
$bh_fri_time_close = get_option( 'fri_close_time' );

$bh_sat_time_open = get_option( 'sat_open_time' );
$bh_sat_time_close = get_option( 'sat_close_time' );

?>

<!-- // HTML FOR WEB PAGE ============================== -->
	
<!-- print -->
<div class="bh-clock"></div>	
	
<div id="busnhours-chart">
	<div class="bh-sun"> 
		<div class="bh-day-group"> 
			<?php
			// Conditional check to determine if not closed show the day and time open		
		    if ( $bh_sun_time_open == "Closed" || $bh_sun_time_close == "Closed" ) {
				echo '';
				} else {
				echo '<span class="bh-day">SUN</span><span class="open_time">' . $bh_sun_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_sun_time_close . '</span>';	
			} 
			?>
	   </div>
	   <div class="bh-sign">Open</div>  
  </div>	
	<div class="bh-mon">
	  <div class="bh-day-group"> 
		<?php
		if ( $bh_mon_time_open !== "Closed" || $bh_mon_time_close !== "Closed" ) {
			echo '<span class="bh-day">MON</span><span class="open_time">' . $bh_mon_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_mon_time_close . '</span>';
	     }
		 ?>
	   </div>
	   <div class="bh-sign">Open</div>  
  </div>
  <div class="bh-tue">
	<div class="bh-day-group"> 
		<?php	
		if ( $bh_tue_time_open !== "Closed" || $bh_tue_time_close !== "Closed" ) {
			echo '<span class="bh-day">TUE</span><span class="open_time">' . $bh_tue_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_tue_time_close . '</span>';	
		}
		?>
		  </div>
		  <div class="bh-sign">Open</div>  
  </div>
  <div class="bh-wed">
	<div class="bh-day-group">
    <?php
    if ( $bh_wed_time_open !== "Closed" || $bh_wed_time_close !== "Closed" ) {
	  echo '<span class="bh-day">WED</span><span class="open_time">' . $bh_wed_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_wed_time_close . '</span>';
    }
    ?>
	   </div>
	   <div class="bh-sign">Open</div>  
  </div>
  <div class="bh-thu">
	<div class="bh-day-group"> 
		<?php
		if ( $bh_thu_time_open !== "Closed" || $bh_thu_time_close !== "Closed" ) {
				echo '<span class="bh-day">THU</span><span class="open_time">' . $bh_thu_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_thu_time_close . '</span>';
    }
    ?>
	   </div>
		<div class="bh-sign">Open</div>  
  </div>
  <div class="bh-fri">
	<div class="bh-day-group"> 
    <?php	
		if ( $bh_fri_time_open !== "Closed" || $bh_fri_time_close !== "Closed" ) {
			echo '<span class="bh-day">FRI</span><span class="open_time">' . $bh_fri_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_fri_time_close . '</span>';
    }
    ?>
		</div>
		<div class="bh-sign">Open</div>  
  </div>
  <div class="bh-sat">
		<div class="bh-day-group"> 
		<?php	
			if ( $bh_sat_time_open !== "Closed" || $bh_sat_time_close !== "Closed" ) {
			echo '<span class="bh-day">SAT</span><span class="open_time">' . $bh_sat_time_open . '</span> <span>-</span> <span class="close_time">' . $bh_sat_time_close . '</span>';
			}
		?>
		</div>
		<div class="bh-sign">Open</div>  
  </div>

 </div>
	
	<div class="hrtime24"></div>
	
</div><!-- eof busnHours container -->
<?php
// Load our JavaScript only on the page that has shrotcode	
wp_enqueue_script( 'busnhours_js', plugin_dir_url( __FILE__ ) . 'js/busnhours.js', array(), '1.1', 'all' );
// let's localize for ajax request and add a security nonce to keep it local
wp_localize_script( 
    'busnhours_js', 
    'ajax_object', 
    array( 'ajaxurl' => admin_url( 'admin-ajax.php' ),'security' => wp_create_nonce('handle_login') ) 
  );		
return ob_get_clean();	
}
// ADD SHORTCODE
add_shortcode( 'busnhours', 'busnhours_shortcode' );
?>
<?php
// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx
// AJAX HOOK TO USE AJAX - GET SERVER TIME FUNCTION
// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	
function get_server_timer() {
  global $wpdb;
  $bh_your_local_time = get_option( 'time_zone' );
  date_default_timezone_set( "$bh_your_local_time" );	
  $msg = date("h") . ',' . date("i") . ',' . date("A") . ',' . date("H") . ',' . date("w");
  echo $msg;
	die();
}
if (is_admin()) {
add_action('wp_ajax_getservertime', 'get_server_timer');
add_action('wp_ajax_nopriv_getservertime', 'get_server_timer');	
    // Add other back-end action hooks here
} else {
// Add non-Ajax front-end action hooks here
add_action('wp_ajax_nopriv_getservertime', 'get_server_timer');
}
?>