// busnHours for WordPress - ver: 0.1 - 10/25/2021
// By Mark Hawkins - MarkHawkinsDesigns.com

(function ($) {
  $(document).ready(function () {

    // SET VARS - Get the Date & Time from PHP Calls
    // ------------------------- >>	
    var serverHour = $("#server-time-hour").html();
    var serverHour12 = (serverHour % 12) || 12; // change this to 12hr format		
    var serverMinutes = $("#server-time-minutes").html();
    var serverSeconds = $("#server-time-secs").html();
    var hourtime24;
	var monthIs
	var showHoliday;
    var weekDay;
    var minutetime;

	var highlightColor = $("#highlight-color").html();	

    //var curTimeOfDay = $("#server-timeofday").html();
    // Print Output to HTML
    // ------------------------- >>		
    $("#hour").html(serverHour12);
    $("#mins").html(serverMinutes);
    $("#secs").html(serverSeconds);

    // ========================================== >>
    //TIMER CLOCK MECHANISM -  AJAX
    // get the server time every 30 seconds.	
    function update() {
      // var noncevar = 'bhservertime';

      $.ajax({
        type: 'POST',
        url: ajax_object.ajaxurl,
        data: {
          action: 'getservertime',
          security: ajax_object.security
        },
        timeout: 30000,
        success: function (data) {
          var timeinfo = data.split(",");
          var hourtime = timeinfo[0];
          minutetime = timeinfo[1];
          var timeofday = timeinfo[2];
          hourtime24 = timeinfo[3];
          weekDay = timeinfo[4];
          $(".bh-clock").html(hourtime + ':' + minutetime + ' ' + timeofday);
         // $(".hrtime24").html(hourtime24 + minutetime + ' ' + weekDay);
          $(document.body).trigger('post-load');
          dynamicSign();
          clockDisplay();
          ShuffleByDay();
          window.setTimeout(update, 30000); // check every 30 seconds
        }
      });
    }
    update();


    // ======================================= >>
    // DYNAMIC SIGN - version 0.1	
    // -------------------------------------- >>


	  
    function dynamicSign() {


      // HIGHLIGHT The Day of the Week ==>>
      var ot_value; // open time value
      var ct_value; // close time value
	  var weekDayIs; // class name of weekday
	  var time_24hr;
	  var bhclock_string;
      var open_busn_hour;
      var close_busn_hour;



	// SELECT CURRENT DAY OF WEEK
	// xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx	
		
    if (weekDay == 0) {
		 weekDayIs = $(".bh-sun"); 
        $(".bh-sat").css("color", "");// remove previous highlight of day
        //$(".bh-sun").css("color", highlightColor).addClass("show-bh-day"); // add current day highlight
		$(".bh-sun").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);	
        ot_value = $(".bh-sun .open_time").text(); // get Open Time
        ct_value = $(".bh-sun .close_time").text(); // get Close Time
		 // minus -70 will give us 30 (half hour before or after closing) - reason is, is it thinks there is a coun tto 100 instead of to 60 as presummed.
		// apply minus -70 to whole numbers like 1500, 1600, 1700 not 1530, 1630, etc...  leave 1630 alone and do no math. 
		noticeManager(); 
      }
		if (weekDay == 1) {
	     weekDayIs = $(".bh-mon");     
        $(".bh-sun").css("color", "");
		$(".bh-mon").addClass("show-bh-day").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);	
        ot_value = $(".bh-mon .open_time").text();
        ct_value = $(".bh-mon .close_time").text();	
		 noticeManager();
      } 
		if (weekDay == 2) {
		weekDayIs = $(".bh-tue");   
        $(".bh-mon").css("color", "");
		$(".bh-tue").addClass("show-bh-day").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);		
        ot_value = $(".bh-tue .open_time").text();
        ct_value = $(".bh-tue .close_time").text();	
		noticeManager(); 
      } 
		if (weekDay == 3) {
		weekDayIs = $(".bh-wed");  
        $(".bh-tue").css("color", "");
        //$(".bh-wed").css("color", highlightColor).addClass("show-bh-day");
		$(".bh-wed").addClass("show-bh-day").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);		
        ot_value = $(".bh-wed .open_time").text();
        ct_value = $(".bh-wed .close_time").text();		
		noticeManager(); 
      } 
		if (weekDay == 4) {
		weekDayIs = $(".bh-thu");    
        $(".bh-wed").css("color", "");
       // $(".bh-thu").css("color", highlightColor).addClass("show-bh-day");
		$(".bh-thu").addClass("show-bh-day").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);		
        ot_value = $(".bh-thu .open_time").text();
        ct_value = $(".bh-thu .close_time").text();
        noticeManager();
      } 
		if (weekDay == 5) {
		weekDayIs = $(".bh-fri");
        $(".bh-thu").css("color", "");
        //$(".bh-fri").css("color", highlightColor).addClass("show-bh-day");
		$(".bh-fri").addClass("show-bh-day").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);		
        ot_value = $(".bh-fri .open_time").text();
        ct_value = $(".bh-fri .close_time").text();
		noticeManager();
      } 
		if (weekDay == 6) {
		weekDayIs = $(".bh-sat");   
        $(".bh-fri").css("color", "");
        //$(".bh-sat").css("color", highlightColor).addClass("show-bh-day");
		$(".bh-sat").addClass("show-bh-day").css("border", "solid 2px" +highlightColor).find('.bh-sign').css("color", highlightColor);		
        ot_value = $(".bh-sat .open_time").text();
        ct_value = $(".bh-sat .close_time").text();
		noticeManager(); 
      }	
  
		
// ----------------------------------------------------------- >>
		
	// Adjust the Sign - keep closed sign until next day, remove it from 
	//that particular previous day(midnight remove the sign since its a differnt day).
	// SO FAR ITS A HALF HOUR WARNING - 
     function signAdjuster(){
	    if(time_24hr == 0){	
		  $( ".bh-sign:contains('Closed')" ).html(""); // remove only closed sign :)
		  }
	   }
		signAdjuster(); 

	
function noticeManager(){						
// TIME CONVERTER - 12-24 hour time.	
// This function is used to convert the current time/displayed time and convert the open and close time to conidtionally check against to determine the nitifications.			
	bhclock_string = $(".bh-clock").text();
	const convertTime = timeStr => {
   	const [time, modifier] = timeStr.split(' ');	
   let [hours, minutes] = time.split(':');
		
		if (hours === '12') {
      	hours = '00';
		}
		if (modifier === 'PM') {
			hours = parseInt(hours, 10) + 12;
		}
   return `${hours}${minutes}`;
};

time_24hr = parseInt(convertTime(convertTime(bhclock_string)));
ot_value = parseInt(convertTime(ot_value));
ct_value = parseInt(convertTime(ct_value));
//----------------------------------->

			
		
	
		  // opening soon message
		if(time_24hr >= (ot_value-30) && time_24hr < (ot_value-1)) {
				$(weekDayIs).find(".bh-sign").addClass("show-bh-sign").addClass("anmt_alert").html("Opening Soon");
			}  

			// open message
			if(time_24hr > ot_value && time_24hr < ct_value) {
				$(weekDayIs).find(".bh-sign").addClass("show-bh-sign").removeClass("anmt_alert").html("Currently Open");
			} 
	 
	
			// closing soon message
			if (time_24hr > (ct_value-70)  && time_24hr < (ct_value-1)) {
               $(weekDayIs).find(".bh-sign").addClass("anmt_alert").html("Closing Soon");
			
             }  
	
	
		if (time_24hr <  ot_value || time_24hr >= ct_value) {
				// Use OR not && since the other condtionals above got thats back!
                $(weekDayIs).find(".bh-sign").addClass("show-bh-sign").removeClass("anmt_alert").html("Closed");
             }
			 
	
			// closed message	
		}
			

} /* EOF Dynamic Sign Function */
	  
// FUTUTURE UPDATE - HOLIDAY SETTINGS
 // ============================================================= //
function holidayManager(){		
	if(showHoliday === "Christmas"){
		if(monthIs === "December"){
			if(weekDayIs === "25"){

				// show closed for holiday notice
				// optionally add holiday icon
				
			}			
		}
	}		
}	  
	  


    //==================================== >>
    // BusnHours Show Clock		
    // ---------------------------------- >>	  

function clockDisplay() {
      var bh_showclock_value = $("#showclock-val").text();

      if (bh_showclock_value == "showclock"){  
           $(".bh-clock").addClass("show-clock");
      } else if(bh_showclock_value == "noshowclock"){
		   $(".bh-clock").removeClass("show-clock");
	  }
 }
	  
    //==================================== >>
    // BusnHours Shuffle Version 0.1	
    // Shuffles the latest day of week to the top	
    // ---------------------------------- >>
    function ShuffleByDay() {

      var bh_shuffle_value = $("#shuffle-val").text();

      if (bh_shuffle_value == "shuffledate") {

        var bh_mon = $(".bh-mon");
        var bh_tue = $(".bh-tue");
        var bh_wed = $(".bh-wed");
        var bh_thu = $(".bh-thu");
        var bh_fri = $(".bh-fri");
        var bh_sat = $(".bh-sat");
        var bh_sun = $(".bh-sun");


        if (weekDay == 1) {
          // if Monday
          bh_mon.detach();
          bh_sun.detach();
          $("#busnhours-chart").prepend(bh_mon);
          $("#busnhours-chart").append(bh_sun);
        }
        if (weekDay == 2) {
          // if Tuesday
          bh_tue.detach();
          bh_mon.detach();
          bh_sun.detach();
          $("#busnhours-chart").prepend(bh_tue);
          $("#busnhours-chart").append(bh_sun).append(bh_mon);
        }
        if (weekDay == 3) {
          // if Wednesday
          bh_wed.detach();
          bh_tue.detach();
          bh_mon.detach();
          bh_sun.detach();
          $("#busnhours-chart").prepend(bh_wed);
          $("#busnhours-chart").append(bh_sun).append(bh_mon).append(bh_tue);
        }
        if (weekDay == 4) {
          // if Thursday
          bh_thu.detach();
          bh_wed.detach();
          bh_tue.detach();
          bh_mon.detach();
          bh_sun.detach();
          $("#busnhours-chart").prepend(bh_thu);
          $("#busnhours-chart").append(bh_sun).append(bh_mon).append(bh_tue).append(bh_wed);
        }
        if (weekDay == 5) {
          // if Friday
          bh_fri,
          bh_sat.detach();
          $("#busnhours-chart").prepend(bh_sat).prepend(bh_fri);
        }

        if (weekDay == 6) {
          // if Saturday
          bh_sat.detach();
          $("#busnhours-chart").prepend(bh_sat);
        }

        if (weekDay == 0) {
          // if Sunday
          bh_sun.detach();
          $("#busnhours-chart").prepend(bh_sun);
        }
      }

    } // eof shuffle function

    clockDisplay();
    ShuffleByDay();


  });
})(jQuery);
